/*
 * Init the NeoSoft Tcl extensions
 *
 *
 * $Id: neoPkgInit.c,v 1.6 1996/06/17 07:08:20 kunkee Exp $
 *
 */

#include "neo.h"


/*
 *----------------------------------------------------------------------
 *
 * Neo_Init --
 *
 *      This package init routine adds in the neosoft stuff.
 *
 * Results:
 *      Returns a standard Tcl completion code, and leaves an error
 *      message in interp->result if an error occurs.
 *
 * Side effects:
 *      Loads in our stuff.
 *
 *----------------------------------------------------------------------
 */

int
Neo_Init(interp)
    Tcl_Interp *interp;         /* Interpreter for application. */
{
#ifdef NEOSOFT_TCL_ENCRYPTION
    if (NeoSoft_InitEncrypt (interp) == TCL_ERROR) {
        return TCL_ERROR;
    }
#endif

    /* NeoSoft Web Extensions */
    if (Neo_XwwwInit (interp) == TCL_ERROR) {
        return TCL_ERROR;
    }

#ifdef NEO_DB
    if (Neo_dbInit (interp) == TCL_ERROR) {
        return TCL_ERROR;
    }
#endif

    if (Neo_initGeneral (interp) == TCL_ERROR) {
        return TCL_ERROR;
    }

    return TCL_OK;
}

